Perl Programming Documentation
Download Perl
Explore

Manual

- Overview
- Tutorials
- FAQs
- History / Changes
- License

Reference

- Language
- Functions
- Operators
- Special Variables
- Pragmas
- Utilities
- Internals
- Platform Specific

Modules

- A • B • C • D • E
- F • G • H • I • L
- M • N • O • P • S
- T • U • X

Tools

- Preferences

# Package::Constants

Perl 5 version 16.0 documentation
Go to top
Show page index • Show recent pages
Recently read

# Package::Constants

- NAME
- SYNOPSIS
- DESCRIPTION
- CLASS METHODS
  - @const = Package::Constants->list( PACKAGE_NAME );
- GLOBAL VARIABLES
  - $Package::Constants::DEBUG
- BUG REPORTS
- AUTHOR
- COPYRIGHT

# NAME

Package::Constants - List all constants declared in a package

# SYNOPSIS

        use Package::Constants;        ### list the names of all constants in a given package;    @const = Package::Constants->list( __PACKAGE__ );    @const = Package::Constants->list( 'main' );    ### enable debugging output    $Package::Constants::DEBUG = 1;

# DESCRIPTION

`Package::Constants` lists all the constants defined in a certain package. This can be useful for, among others, setting up an autogenerated `@EXPORT/@EXPORT_OK` for a Constants.pm file.

# CLASS METHODS

## @const = Package::Constants->list( PACKAGE_NAME );

Lists the names of all the constants defined in the provided package.

# GLOBAL VARIABLES

## $Package::Constants::DEBUG

When set to true, prints out debug information to STDERR about the package it is inspecting. Helps to identify issues when the results are not as you expect.

Defaults to false.

# BUG REPORTS

Please report bugs or other issues to <bug-package-constants@rt.cpan.org<gt>.

# AUTHOR

This module by Jos Boumans <kane@cpan.org>.

# COPYRIGHT

This library is free software; you may redistribute and/or modify it under the same terms as Perl itself.

Page index

- NAME
- SYNOPSIS
- DESCRIPTION
- CLASS METHODS
  - @const = Package::Constants->list( PACKAGE_NAME );
- GLOBAL VARIABLES
  - $Package::Constants::DEBUG
- BUG REPORTS
- AUTHOR
- COPYRIGHT